Please enable lpia and ia64 builds

Bug #277517 reported by Emmet Hikory on 2008-10-03
4
Affects Status Importance Assigned to Milestone
kvm (Ubuntu)
Wishlist
Dustin Kirkland 

Bug Description

Binary package hint: kvm

KVM upstream supports ia64 hosts, and lpia is close enough to i386 that KVM happens to work. Please enable these as build targets.

Related branches

Emmet Hikory (persia) wrote :

TJ put together a patch to make this work with KVM 74, and I've backported the necessary bits to 72. I've tested with lpia, and it works fine. I don't have hardware to test with ia64, but given the nature of the changes (debian/rules, debian/control only), I don't imagine that the upstream version is likely to have a large effect.

Changed in kvm:
status: New → Confirmed
Changed in kvm:
importance: Undecided → Wishlist
Dustin Kirkland  (kirkland) wrote :

Emmet/TJ-

Thanks for the patch, guys.

I have built packages for lpia in my PPA (but PPA's don't support ia64, AFAIK).
 * https://launchpad.net/~kirkland/+archive

I don't have access to either lpia or ia64 hardware...

If someone with that hardware can confirm that kvm is operational on each of those architectures, I think we can move forward building them.

Thanks,
:-Dustin

Steve Langasek (vorlon) wrote :

Hi Emmet,

You mention backporting bits to kvm 72, but we're now at kvm 79 in jaunty - are other changes needed now, to make the package build correctly on lpia and ia64?

Bryce Harrington (bryce) on 2008-12-01
Changed in kvm:
status: Confirmed → Incomplete
Dustin Kirkland  (kirkland) wrote :

Okay, this looks pretty easy to fix. I got the lpia build working in my PPA. And according to upstream, ia64 should work too (though I haven't tried it).

:-Dustin

Changed in kvm:
assignee: nobody → kirkland
status: Incomplete → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kvm - 1:84+dfsg-0ubuntu6

---------------
kvm (1:84+dfsg-0ubuntu6) jaunty; urgency=low

  [ Emmet Hikory <email address hidden> ]
  * debian/rules, debian/control: Enable build for lpia & ia64
    (thanks to TJ) LP: #277517

 -- Dustin Kirkland <email address hidden> Mon, 02 Mar 2009 15:35:26 -0600

Changed in kvm:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers